Disable User
Disable User
Disable a user in Managed Banking. Once disabled, the user will no longer be able to access it.
Note
Disabling a user only revokes their access to the banking app. It does not disable the underlying customer, nor does it freeze or archive any accounts. If you need to take action on the customer or their accounts, please contact Unit directly to request it.
When a user is disabled, the whiteLabelAppUser.disabled webhook event is fired.
| Verb | POST |
| URL | https://api.s.unit.sh/ready-to-launch/users/:userId/disable |
| Timeout (Seconds) | 5 |
Example Request:
curl -X POST 'https://api.s.unit.sh/ready-to-launch/users/user_67890/disable'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
Response
Returns the disabled user resource.
Response is a JSON:API document.
200 OK
| Name | Type | Description |
|---|---|---|
| id Required | string | Identifier of the user resource. |
| type Required | string | Type of the resource. Always whiteLabelAppUser. |
| attributes Required | JSON Object | JSON object representing the user data. |
Attributes
| Name | Type | Description |
|---|---|---|
| userId Required | string | The user ID in your system (matches the sub claim in the user's JWT token). |
| userRole Required | string | The role of the user. See Team Roles & Permissions. |
| status Required | string | The status of the user. Will be Disabled after a successful request. |
Relationships
| Name | Type | Description |
|---|---|---|
| customer Required | JSON:API Relationship | The customer the user belongs to. |
Example Response:
{
"data": {
"type": "whiteLabelAppUser",
"id": "user_67890",
"attributes": {
"userId": "user_67890",
"userRole": "Admin",
"status": "Disabled"
},
"relationships": {
"customer": {
"data": {
"type": "customer",
"id": "10000"
}
}
}
}
}